UbixOS V2 2.0

Macros | Functions
sntp.h File Reference
`#include "lwip/apps/sntp_opts.h"`
`#include "lwip/ip_addr.h"`
Include dependency graph for sntp.h:

Go to the source code of this file.

## Macros
#define | SNTP_OPMODE_LISTENONLY 1
#define | SNTP_OPMODE_POLL 0
#define | sntp_servermode_dhcp(x)

## Functions
u8_t | sntp_enabled (void)
u8_t | sntp_getoperatingmode (void)
const ip_addr_t * | sntp_getserver (u8_t idx)
void | sntp_init (void)
void | sntp_setoperatingmode (u8_t operating_mode)
void | sntp_setserver (u8_t idx, const ip_addr_t *addr)
void | sntp_stop (void)

## Detailed Description

SNTP client API

Definition in file sntp.h.

## Macro Definition Documentation

## ◆ SNTP_OPMODE_LISTENONLY

#define SNTP_OPMODE_LISTENONLY 1

Definition at line 50 of file sntp.h.

## ◆ SNTP_OPMODE_POLL

#define SNTP_OPMODE_POLL 0

Definition at line 49 of file sntp.h.

## ◆ sntp_servermode_dhcp

#define sntp_servermode_dhcp | ( |  | x | ) |

Definition at line 69 of file sntp.h.

## Function Documentation

## ◆ sntp_enabled()

u8_t sntp_enabled | ( | void |  | ) |

## ◆ sntp_getoperatingmode()

u8_t sntp_getoperatingmode | ( | void |  | ) |

## ◆ sntp_getserver()

const ip_addr_t* sntp_getserver | ( | u8_t | idx | ) |

## ◆ sntp_init()

void sntp_init | ( | void |  | ) |

## ◆ sntp_setoperatingmode()

void sntp_setoperatingmode | ( | u8_t | operating_mode | ) |

## ◆ sntp_setserver()

void sntp_setserver | ( | u8_t | idx,
|  | const ip_addr_t * | addr
| ) |  |

## ◆ sntp_stop()

void sntp_stop | ( | void |  | ) |